package com.yuchen.saas.park.service.iot;


import com.thinkunion.park.service.common.iot.capability.devicemodel.DeviceModel;
import com.yuchen.saas.park.api.vo.responsevo.ResponseVo;

import java.util.Map;

/**
 * @author 刘通
 * @date 2020/12/25 23:38
 */
public interface IotClientService {
    ResponseVo getList(String productKey);
    ResponseVo getAllByProductKey(String productKey);
    ResponseVo findAllProducts();
    DeviceModel getDeviceModel(String productKey);
    ResponseVo propertySet(Map<String, Object> body);
    ResponseVo serviceCall(Map<String, Object> body);
    void providerStubPlateNo(String deviceName, String plateNo);
    void clearStubPlateNo();
}
